Bug 157680 - mkinitrd fails to setup partitionable md device and uses deprecated autorun facility
Summary: mkinitrd fails to setup partitionable md device and uses deprecated autorun f...
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-13 17:58 UTC by Doug Ledford
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 20:17:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mkinitd patch (1.39 KB, patch)
2005-05-13 17:58 UTC, Doug Ledford
no flags Details | Diff

Description Doug Ledford 2005-05-13 17:58:28 UTC
Description of problem: Raidautorun is deprecated and doesn't start all possible
md array configurations properly.  Also, the detection of valid md devices is
broken for partitionable md devices.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Create a partionable md device using a raid level not used in any regular md
devices
2. Run mkinitrd
3.
  
Actual results:
mkinitrd will fail to load the raid level module for the partitionable device
and will fail to start the device

Expected results:
Should work

Additional info:
Patch to fix problem attached.  Patch does two things.  1) it corrects the
detection of partitionable md device in the /proc/mdstat file so that they get
processed properly.  2) it replaces raidautorun with mdadm -A --scan which will
read the various arrays from the newly installed mdadm.conf file and attempt to
start all arrays that it can find by scanning the available devices.

Comment 1 Doug Ledford 2005-05-13 17:58:28 UTC
Created attachment 114348 [details]
mkinitd patch

Comment 2 Peter Jones 2005-05-17 15:53:23 UTC
This patch needs to conditionalize use of raidautorun vs mdadm.static based on
mdadm.conf.

Comment 3 Peter Jones 2005-05-17 16:10:07 UTC
<dledford> pjones: This is a "well formed" /etc/mdadm.conf file:
<dledford> MAILADDR root
<dledford> DEVICE partitions
<dledford> ARRAY /dev/md0 level=multipath num-devices=2
UUID=34f4efec:bafe48ef:f1bb5b94:f5aace52 auto=md
<dledford> ARRAY /dev/md1 level=multipath num-devices=2
UUID=bbaaf9fd:a1f118a9:bcaa287b:e7ac8c0f auto=md
<dledford> ARRAY /dev/md2 level=multipath num-devices=2
UUID=a719f449:1c63e488:b9344127:98a9bcad auto=md
<dledford> ARRAY /dev/md3 level=multipath num-devices=2
UUID=37b23a92:f25ffdc2:153713f7:8e5d5e3b auto=md
<dledford> ARRAY /dev/md_d0 level=raid0 num-devices=4
UUID=0bb9332b:559a9e84:e9ac6687:44a94399 auto=mdp15

Comment 4 John Thacker 2007-01-13 20:17:26 UTC
(This is a mass update of bugs which have been in the NEEDINFO state unmodified
for over a year and have not been confirmed for a still supported version of
Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.